import cx from 'classnames';
import PropTypes from 'prop-types';
import Button, { atomButtonShapes } from '@s-ui/react-atom-button';
import AtomIcon from '@s-ui/react-atom-icon';
import { ALTERNATIVE_ACTION_TEXT, BUTTON_COLOR, BUTTON_DESIGN, BUTTON_SIZE, BUTTON_STATE_CLASS_NAME, EMPTY_VIEW_CLASS_NAME, ICON_EMPTY_VIEW_CLASS_NAME, TEXT_STATE_CLASS_NAME, TEXT_STATE_DIVIDER_CLASS_NAME, TEXT_STATE_TEXT_CLASS_NAME } from './config.js';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var EmptyView = function EmptyView(_ref) {
  var _ref$buttonDesign = _ref.buttonDesign,
    buttonDesign = _ref$buttonDesign === void 0 ? BUTTON_DESIGN : _ref$buttonDesign,
    _ref$buttonColor = _ref.buttonColor,
    buttonColor = _ref$buttonColor === void 0 ? BUTTON_COLOR : _ref$buttonColor,
    buttonText = _ref.buttonText,
    buttonShape = _ref.buttonShape,
    _ref$buttonSize = _ref.buttonSize,
    buttonSize = _ref$buttonSize === void 0 ? BUTTON_SIZE : _ref$buttonSize,
    icon = _ref.icon,
    iconSize = _ref.iconSize,
    text = _ref.text,
    onClick = _ref.onClick,
    _ref$dividerText = _ref.dividerText,
    dividerText = _ref$dividerText === void 0 ? ALTERNATIVE_ACTION_TEXT : _ref$dividerText;
  return /*#__PURE__*/_jsxs("div", {
    onClick: onClick,
    className: EMPTY_VIEW_CLASS_NAME,
    children: [/*#__PURE__*/_jsx("div", {
      className: ICON_EMPTY_VIEW_CLASS_NAME,
      children: /*#__PURE__*/_jsx(AtomIcon, {
        size: iconSize,
        children: icon
      })
    }), /*#__PURE__*/_jsxs("div", {
      className: TEXT_STATE_CLASS_NAME,
      children: [/*#__PURE__*/_jsx("span", {
        className: cx(TEXT_STATE_TEXT_CLASS_NAME, {
          isSpaced: !dividerText
        }),
        children: text
      }), dividerText ? /*#__PURE__*/_jsx("span", {
        className: TEXT_STATE_DIVIDER_CLASS_NAME,
        children: dividerText
      }) : null]
    }), /*#__PURE__*/_jsx("div", {
      className: BUTTON_STATE_CLASS_NAME,
      children: /*#__PURE__*/_jsx(Button, {
        color: buttonColor,
        design: buttonDesign,
        isButton: true,
        shape: buttonShape,
        size: buttonSize,
        children: buttonText
      })
    })]
  });
};
EmptyView.displayName = 'EmptyView';
export default EmptyView;